#ifndef PROTOTYPE_H_
#define PROTOTYPE_H_

#include "Communication.h"

/**
* Vlakno komunikacneho modulu
*/
void * threadCommunication(void * _args);

/**
 * Prototype hraca
 */
class Prototype {

protected:
    Communication * comm;                       //!< Communication module

public:
    int player_number;
    char *player_team;
    
	Prototype();

	bool init(char* server, int port);
	int run();
};

#endif /*PROTOTYPE_H_*/